Status
GET /api/v1/accessControl
Description
Get the current status for a AccessControl.
Response
HTTP Status Codes
| Code | Description |
|---|---|
| 200 | Success, returns a Status |
| 401 | Unauthorized, missing X-Red-Robin-API-Key header |
| 403 | Forbidden, invalid X-Red-Robin-API-Key header |
| 404 | Not found, invalid configuration |
AccessInfo
| Name | Description | Type | Example |
|---|---|---|---|
active | Active state of account | boolean | true |
open | Open state of account | boolean | false |
closedReason,null | An enum describing the reason for closed | ClosedReason | 0 |
Enums
Example Usage
- Javascript
GET /api/v1/accessControl
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');
const requestOptions = {
method: 'GET',
headers: headers,
};
fetch('https://se.visibatriage.com/api/v1/accessControl', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));
Example Success Response
{
"active": true,
"isOpen": true,
"closedReason": 0
}